Welcome to our new developer portal! Use the "Ask" button to chat with our AI Agent.
For the complete documentation index, see llms.txt. This page is also available as Markdown.

API de tarjeta

Notify Card Operations

post

This request is used by D1 to notify the system of the bank about any card status update. There is a retry mechanism in case the notification has not been sent. Thus the bank system can use this notification to synchronize card status with their card repository. The number max of card status update in the notification is defined at onboarding time according to bank's system capability. Each update is linked to a given card id, and can contain a message dedicated for the final end-user.

Autorizaciones
AuthorizationstringRequerido

A JWT generated by the Get Authorization Token API.
The server checks the validity of the provided token to control access to this protected resource. Please refer to Get OAuth 2.0 access token for more details on the flow and on how to get this JWT.

Parámetros de ruta
issuerIdstring · mín: 10 · máx: 10Requerido

The id of the issuer

Parámetros de encabezado
x-correlation-idstringOpcional

Random identifier which can be used to correlate the different API calls done as part of a single use-case. This identifier will be the one primarily used for troubleshooting.

There is no strong guarantee of the uniqueness of this identifier, so please refrain from using it for other purpose than logging and troubleshooting.

AuthorizationstringOpcional

Oauth Access token (optional)

Example: 'Bearer 2zzLJmBAtTNIU8nF8e8XbmDvaNGs'
Cuerpo
Respuestas
204

Successful

Sin contenido

post/notifications/d1/v2/issuers/{issuerId}/cards
POST /notifications/d1/v2/issuers/{issuerId}/cards HTTP/1.1
Host: YOUR_DOMAIN_NAME
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 453

{
  "operations": [
    {
      "operationId": "text",
      "operation": "RENEW",
      "status": "SUCCESSFUL",
      "startTime": "2022-06-16T06:28:02.492Z",
      "endTime": "2022-06-16T09:28:12.492Z",
      "cardId": "text",
      "details": {
        "cardProductId": "text",
        "cardState": "ACTIVE",
        "reasonState": "CLOSED_ACCOUNT",
        "newCardId": "text",
        "encryptedData": "text"
      },
      "message": {
        "format": "TEXT",
        "title": "Card Suspended",
        "content": "Your card has been suspended."
      },
      "errorCode": "FIELD_INVALID_FORMAT",
      "error": "consumerId"
    }
  ]
}

Sin contenido

Última actualización

¿Te fue útil?